<?php

class Database {

	protected $host;
	protected $user;
	protected $password;
	protected $name;
	protected $project_id;
	protected $db;

	function __construct(mysqli $db) {

		$this->db = $db;
	}

	public function setProperties($project_id, $host, $user, $password, $name) {

		$this->project_id = $project_id;
		$this->host = $host;
		$this->user = $user;
		$this->password = $password;
		$this->name = $name;
	}

	public function save() {

		if (!empty($this->host) && !empty($this->user) && !empty($this->password) && !empty($this->name)) {

			$stmt = $this->db->prepare('INSERT INTO db (project_id, host, user, password, name) VALUES (?, ?, ?, ?, ?)');
			$stmt->bind_param('issss', $this->project_id, $this->host, $this->user, $this->password, $this->name);

			if ($stmt->execute()) {

				return true;
			}

			return false;
		}

	}
}