<?php

class Project {

	protected $name;
	protected $structure;
	protected $id;
	protected $db;

	function __construct(mysqli $db) {

		$this->db = $db;
	}

	public function setName($name) {

		if (!empty($name)) {

			$this->name = $name;

			return true;
		}

		return false;
	}

	public function setStructure($structure) {

		if (!empty($structure)) {

			$this->structure = $structure;

			return true;
		}

		return false;
	}

	public function getId() {

		return $this->id;
	}

	public function save() {

		if (!empty($this->name) && !empty($this->structure)) {

			$stmt = $this->db->prepare('INSERT INTO project (name, structure) VALUES (?, ?)');
			$stmt->bind_param('ss', $this->name, $this->structure);

			if ($stmt->execute()) {

				$this->id = $this->db->insert_id;

				return true;
			}

			return false;
		}

	}
}